Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CasProcessorDeploymentParam

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface CasProcessorDeploymentParam

extends MetaDataObject

An object that holds configuration information used for bulding CPE Descriptor. It provides the means of configuring deployment parameter used by the CPE to deploy CasProcessor.

Method Summary
`String` | `getParameterName()` Returns the name of the parameter
`String` | `getParameterType()` Returns deployment parameter value type
`String` | `getParameterValue()` Returns deployment parameter value
`void` | `setParameterName(String aParamName)` Sets the name of the parameter
`void` | `setParameterType(String aParamType)` Sets deployment parameter value type
`void` | `setParameterValue(String aParamValue)` Sets the value of the deploymnet parameter

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### setParameterName

    void setParameterName(String aParamName)
                          throws CpeDescriptorException

  Sets the name of the parameter

  Parameters:
    `aParamName` - - a name
  Throws:
    `CpeDescriptorException`

### getParameterName

    String getParameterName()
                            throws CpeDescriptorException

  Returns the name of the parameter

  Returns:
    - name as String
  Throws:
    `CpeDescriptorException`

### setParameterValue

    void setParameterValue(String aParamValue)
                           throws CpeDescriptorException

  Sets the value of the deploymnet parameter

  Parameters:
    `aParamValue` - - parameter value
  Throws:
    `CpeDescriptorException`

### getParameterValue

    String getParameterValue()
                             throws CpeDescriptorException

  Returns deployment parameter value

  Returns:
    - value as String
  Throws:
    `CpeDescriptorException`

### setParameterType

    void setParameterType(String aParamType)
                          throws CpeDescriptorException

  Sets deployment parameter value type

  Parameters:
    `aParamType` - - value type (string, int, etc)
  Throws:
    `CpeDescriptorException`

### getParameterType

    String getParameterType()
                            throws CpeDescriptorException

  Returns deployment parameter value type

  Returns:
    - value type (string, int, etc)
  Throws:
    `CpeDescriptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.